Subject: Re: [bitcoin-dev] Future of the bitcoin-dev mailing list

From: Ali Sherief <[email-masked]>
Date: Tue, 14 Nov 2023 12:32:50 +0000

I find Google Groups especially repugnant not not only because what has already been mentioned, but Google Groups has a quite clunky and annoying user interface that makes it difficult for me to find anything or interest in there.

Usenet was migrated to Google Groups for some reason, and it's very difficult to search for anything of particular interest using that site.

Not to mention that Google Groups also contains a larger amount of spam (w.r.t value), so arguably the moderation burden will be higher.

It is necessary to try to find a way to keep the discussion on a mail server, since a migration off of it will render many users' email clients useless for this purpose.

- Ali

> On Mon, 13 Nov 2023 18:51:26 +0000, alicexbt <[email-masked]> wrote:
>
> Hi Overthefalls,
>
> +1
>
> Using google for bitcoin mailing list is not good. It feels embarrassing that some developers that built and maintained the only decentralized network used to settle uncensored payments and some of them even working on nostr, can't build their own mailing list which is better than present mailing list. I have some ideas but it seems the influential developers have already decided and wont accept anything.
>
> Nostr can be used to build a mailing list which also allows anyone to send emails apart from publishing events from different clients. We just need a new NIP so that nostr relays understand its a different event. There can be multiple front end with different levels of moderation to hide some emails and ultimately one will be used the most. It can use multiple relays and relays share some information in NIP 11 which can include an email address.
>
> /dev/fd0
> floppy disk guy
>
> Sent with Proton Mail secure email.
>
> On Monday, November 13th, 2023 at 8:35 PM, Overthefalls via bitcoin-dev [email-masked] wrote:
>
> > On Tue, 2023-11-07 at 09:37 -0600, Bryan Bishop via bitcoin-dev wrote:
> >
> > > Google Groups is another interesting option,
> >
> > I don't think I'm the only person on this list that is strongly opposed to using google for anything. They are too big and they have their hand in everything, and their eyes (and analytics) on everything.
> >
> > I remember when there were virtually no gmail email addresses that posted to this list. Suddenly in 2020 or 2021, we had an influx of gmail subscribers and posters. That didn't escape me then and it is not lost on me now.
> >
> > Email is great for public discussion for many reasons. The fact that everyone gets a copy of the data, there is no single central authority that can edit emails once they have been sent out. Anyone can archive email messages, they can generally store or publish the data anywhere they like. That is not the case with web forum content.
> >
> > I like the lightning anti-spam fee idea. That would encourage me to finally adopt lightning, and it would, I'm sure, produce some interesting results for the list.
> >
> > I don't think email should be out of the question. Does anyone besides [email-masked] think that sticking with email is out of the question?
> >
> > Let's do what's necessary to stick with email.